commit:     329d97e59590f78a482fcabf68f7b3c57797a3bb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 28 05:57:01 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Nov 28 06:43:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=329d97e5

dev-python/sigstore: Bump to 3.5.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sigstore/Manifest              |  1 +
 dev-python/sigstore/sigstore-3.5.3.ebuild | 65 +++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/sigstore/Manifest b/dev-python/sigstore/Manifest
index bee36aeeda7f..7c69712d9986 100644
--- a/dev-python/sigstore/Manifest
+++ b/dev-python/sigstore/Manifest
@@ -1,2 +1,3 @@
 DIST sigstore-python-3.4.0.gh.tar.gz 200807 BLAKE2B 
ffb74589d6d740a5b16f4c7884966be8f34954bac9e746d5d210b2e9b23d06eb94b59f9e5f52358d7a934c23791c1a9616a449c320b87a17e3255c4351b0b556
 SHA512 
3624dd1611d1671988bec4518ffe6c135a3df3f7ce4171d8e93c7d848b2755688c1f349b77fb89643f7b2a9da530b1b1f52272abd2ddb3685d53fd6d5367a97c
 DIST sigstore-python-3.5.1.gh.tar.gz 201350 BLAKE2B 
e7027c4dfdee056d84bec5646234887ece4aabc068cea2a1fe69c78ed01e6229f9ced686c19e08b1a2bbed82d00820de8431c2eabdd965b4f23b8c6bf036cd06
 SHA512 
1b2c9937ca7b0a417db4d7e20e97309dc7cfb44f0f435fe0b6d9e6bb37d2a9451644d965446bcffa9160b32fb34d53bc273a87874340865e8d4e8beaafec69c3
+DIST sigstore-python-3.5.3.gh.tar.gz 201724 BLAKE2B 
7b73ecd51944bc461213044931b7cfd3986442e9dc380cad5093c5f8dba82142c4a556bf9e43d869373df3d4ec07d8f023dde907045b2a172cfa06fd874e5907
 SHA512 
53d9876470156f91eb21e4e32ef1f61101e4a4011b689ad0b808414e19296266f66fc2bde1d5ad8178c3bb71824e1b30213672d8f1a311fb80a9fb4623a8a1cc

diff --git a/dev-python/sigstore/sigstore-3.5.3.ebuild 
b/dev-python/sigstore/sigstore-3.5.3.ebuild
new file mode 100644
index 000000000000..6b2089003002
--- /dev/null
+++ b/dev-python/sigstore/sigstore-3.5.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=sigstore-python-${PV}
+DESCRIPTION="A tool for signing Python package distributions"
+HOMEPAGE="
+       https://github.com/sigstore/sigstore-python/
+       https://pypi.org/project/sigstore/
+"
+# no tests in sdist, as of 3.3.0
+SRC_URI="
+       https://github.com/sigstore/sigstore-python/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       <dev-python/cryptography-44[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-42[${PYTHON_USEDEP}]
+       >=dev-python/id-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-4.2[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-23.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.6[${PYTHON_USEDEP}]
+       >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+       >=dev-python/pyjwt-2.1[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       >=dev-python/rfc8785-0.1.2[${PYTHON_USEDEP}]
+       >=dev-python/rich-13.0[${PYTHON_USEDEP}]
+       ~dev-python/sigstore-protobuf-specs-0.3.2[${PYTHON_USEDEP}]
+       ~dev-python/sigstore-rekor-types-0.0.13[${PYTHON_USEDEP}]
+       >=dev-python/tuf-5.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/importlib-resources-5.7[${PYTHON_USEDEP}]
+       ' 3.10)
+"
+BDEPEND="
+       test? (
+               dev-python/pretend[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unpin deps
+       sed -i -e 's:~=:>=:' pyproject.toml || die
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest test/unit --skip-online
+}

Reply via email to